> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate evaluation metrics



## OpenAPI

````yaml https://raw.githubusercontent.com/getplumai/docs/refs/heads/main/api-reference/openapi.yaml post /questions
openapi: 3.0.0
info:
  title: Plum API
  version: 1.1.0
servers:
  - url: https://beta.getplum.ai/v1
security: []
paths:
  /questions:
    post:
      summary: Generate evaluation metrics
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                system_prompt:
                  type: string
              required:
                - system_prompt
      responses:
        '200':
          description: Metrics successfully generated
          content:
            application/json:
              schema:
                type: object
                properties:
                  metrics_id:
                    type: string
                  definitions:
                    type: array
                    items:
                      type: object
                  created_at:
                    type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````